//
//  TWI_I2CMaster.h
//
//  TWI I2C control subroutine
//  Copyright(C)2010 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//	Description
//		Master mode I2C interface.
//		AVR ATmega TWI(Two-wire serial interface) internal module.
//		Interrupt nonuse, simple logic.
//		Need pull-up register.
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2010.12.20 v0.1  Write only version
//

#ifndef TWI_I2CMASTER_H
#define TWI_I2CMASTER_H

//
//    Configure
//        (Need modify real device)
//
#define F_CPU 	1000000UL

//
// API
//
extern void				TWI_I2CMasterStart(void);
extern unsigned char	TWI_I2CWrite(unsigned char SlaveAddress, void* TxData, unsigned int Length, unsigned char Multi);
extern void 			TWI_I2CStop(void);

#endif
